summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEttore Di Giacinto <mudler@gentoo.org>2017-03-16 15:03:56 +0100
committerEttore Di Giacinto <mudler@gentoo.org>2017-06-04 17:16:36 +0200
commit52ea60b2c340af27f4a023464c2280a0098af9de (patch)
tree939b18ac1c0bd305ee5b9ccb616618e9e4e77644 /mate-extra
parentapp-text/atril: Version bump to 1.18.0 (diff)
downloadgentoo-52ea60b2c340af27f4a023464c2280a0098af9de.tar.gz
gentoo-52ea60b2c340af27f4a023464c2280a0098af9de.tar.bz2
gentoo-52ea60b2c340af27f4a023464c2280a0098af9de.zip
mate-extra/caja-dropbox: Version bump to 1.18.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'mate-extra')
-rw-r--r--mate-extra/caja-dropbox/Manifest1
-rw-r--r--mate-extra/caja-dropbox/caja-dropbox-1.18.0.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/mate-extra/caja-dropbox/Manifest b/mate-extra/caja-dropbox/Manifest
index 3003532823c..2b5bb0f958f 100644
--- a/mate-extra/caja-dropbox/Manifest
+++ b/mate-extra/caja-dropbox/Manifest
@@ -1,3 +1,4 @@
DIST caja-dropbox-1.12.0.tar.xz 311488 SHA256 027f16529e9fd9139a4fc721aa6971f6ac91f7cf74a7bd22d8a3f2b7315bf247 SHA512 32d8fcd2d2aa4a03a976c7848cd628e240558b802247ad6a36242ea95628aa97088aa55ae6d9c889616910e5fc36e2db6753c4f8854d6f9e626c990469d71223 WHIRLPOOL 6e78e8f216a475ba8594db40ca8bb348276cb47d498993ac01d2a3f5283e90affc2f89c1e5f717874741f09475f84c87aed852d5c82199b8ccf25102f8e85495
DIST caja-dropbox-1.14.0.tar.xz 310964 SHA256 780c7a734dff297b7c832affa01f223b88e8f61862f18d0563f934bb3d7eba87 SHA512 e13012bff812d43eb5ddd9ca8a73907bf9aa2d46bd8947f58695b32fe590a4ecd6bea2ac0d30330c8bd1fa8c652681beb964e7bd658525e99cda73e36a207a50 WHIRLPOOL 3dd0d73a2faf9d5c8c0a22439b3f47e48ded755408bb7ed39ddce593a2bc3b04884ef19aaa03467b49276eb5f2c6c01e1a4a2cc4d93efc375bd920492c95b8a5
DIST caja-dropbox-1.16.0.tar.xz 311144 SHA256 9c726a4af41c2c2e9231a495eb5423acc4627c02aa66d0662f64345be872cbb1 SHA512 ba8ec3952be08d520b10f55c3ff5dbfd38a062dcf3c4fa4569e8d68823f8fbebed596e963e5bf7d59161fea138dbc27b299f66e1d0f6064da54499c4023ac1ad WHIRLPOOL d2a54eb6cb0d555b5ed23f2677bd58201b5459531e926280479c7f580d3b5184f1e9a0d00b8d3800cf648068c9d79c952166a4573fccfcf7c04d5359096c907a
+DIST caja-dropbox-1.18.0.tar.xz 323116 SHA256 af88597b7da5815f7debe33c1bb95098a21abe4a7057e9834546752597428da3 SHA512 0e240f8f6ef17ad3b6bbe21bede6d911b0ef89d8fd5a9faba6b96bc74f06472dcedf68caa94c6fbfb2c05c10c82e1f025b4022657cacc5b80d55ee41999be560 WHIRLPOOL fc636c5383b2e787c1cfbb4031044128fe1fe038549528dcdf55b08705eaf5380b5ce36bac0ccaa9fb4790f3e338c7902b082467a6d6f40db566fa9cf0ea897b
diff --git a/mate-extra/caja-dropbox/caja-dropbox-1.18.0.ebuild b/mate-extra/caja-dropbox/caja-dropbox-1.18.0.ebuild
new file mode 100644
index 00000000000..b02406cc40c
--- /dev/null
+++ b/mate-extra/caja-dropbox/caja-dropbox-1.18.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+MATE_LA_PUNT="yes"
+
+inherit mate python-single-r1 linux-info user
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Store, Sync and Share Files Online"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="debug"
+
+COMMON_DEPEND="
+ dev-libs/atk:0
+ >=dev-libs/glib-2.36:2
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ >=mate-base/caja-1.17.1
+ media-libs/fontconfig:1.0
+ media-libs/freetype:2
+ x11-libs/cairo:0
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libXinerama:0
+ x11-libs/pango:0"
+
+RDEPEND="${COMMON_DEPEND}
+ net-misc/dropbox:0"
+
+DEPEND="${COMMON_DEPEND}
+ dev-python/docutils:0
+ virtual/pkgconfig:*"
+
+CONFIG_CHECK="~INOTIFY_USER"
+
+pkg_setup () {
+ python-single-r1_pkg_setup
+ check_extra_config
+ enewgroup dropbox
+}
+
+MATE_FORCE_AUTORECONF=true
+
+src_prepare() {
+ # Use system dropbox.
+ sed -e "s|~/[.]dropbox-dist|/opt/dropbox|" \
+ -e 's|\(DROPBOXD_PATH = \).*|\1"/opt/dropbox/dropboxd"|' \
+ -i caja-dropbox.in || die
+
+ # Use system rst2man.
+ epatch "${FILESDIR}"/${PN}-1.8.0-system-rst2man.patch
+
+ mate_src_prepare
+}
+
+src_configure() {
+ mate_src_configure \
+ --disable-static \
+ $(use_enable debug)
+}
+
+src_install () {
+ python_fix_shebang caja-dropbox.in
+
+ mate_src_install
+
+ local extensiondir="$(pkg-config --variable=extensiondir libcaja-extension)"
+ [ -z ${extensiondir} ] && die "pkg-config unable to get caja extensions dir"
+
+ # Strip $EPREFIX from $extensiondir as fowners/fperms act on $ED not $D.
+ extensiondir="${extensiondir#${EPREFIX}}"
+ use prefix || fowners root:dropbox "${extensiondir}"/libcaja-dropbox.so
+ fperms o-rwx "${extensiondir}"/libcaja-dropbox.so
+}
+
+pkg_postinst () {
+ mate_pkg_postinst
+
+ elog
+ elog "Add any users who wish to have access to the dropbox caja"
+ elog "plugin to the group 'dropbox'. You need to setup a drobox account"
+ elog "before using this plugin. Visit ${HOMEPAGE} for more information."
+ elog
+}